FROM openjdk:8-jdk-alpine
USER root
MAINTAINER Danny Lee
VOLUME /opt

ARG JAR_FILE
#ADD ./project-web-api/target/data-station.jar data-station.jar
COPY ./wisenergy-web-admin/target/shop-mall.jar /opt/
#ADD hosts /tmp

WORKDIR /opt
EXPOSE 8080
ENV TZ=Asia/Shanghai
#ENV TZ=PRC
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone
#CMD cat /tmp/hosts >> /etc/hosts
CMD ["java","-Djava.security.egd=file:/dev/./urandom","-Dspring.profiles.active=test","-jar","shop-mall.jar"]
#CMD cat /etc/hosts
#RUN/ENTRYPOINT/CMD nohup java -jar -Xmx512m -Xms512m -Xss256k -XX:MaxDirectMemorySize=512m -XX:+UseG1GC -XX:MaxGCPauseMillis=200 -XX:G1ReservePercent=25 -XX:InitiatingHeapOccupancyPercent=40 -Djava.awt.headless=true -Djava.net.preferIPv4Stack=true -Dfile.encoding=UTF-8 -Djava.security.egd=file:/dev/./urandom -Dserver.port=8090 data-station.jar > data-station.log 2>&1 &